/* Banner */
.sm-banner-shadow {
  position: relative;
}

.sm-banner-shadow::after {
  background: #d73d3d;
  content: " ";
  top: 0;
  opacity: 0.1;
  position: absolute;
  width: calc(80% + var(--wp--preset--spacing--80));
  z-index: 0;
  left: 0;
  width: 100%;
  height: 95%;
  border-bottom-right-radius: 0px;
  border-bottom-left-radius: 90% 60%;
  pointer-events: none;
}

.sm-banner .wp-block-image {
  height: 100%;
}

.sm-banner-shadow .wp-block-image img {
  min-height: 100%;
  z-index: 10;
  position: relative;
}

@media (min-width: 720px) {
  .sm-banner-shadow::after {
    width: 70%;
    height: 100%;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 40% 100%;
  }
}

@media (max-width: 720px) {
  .sm-banner {
    padding-top: var(--wp--preset--spacing--40) !important;
    padding-bottom: var(--wp--preset--spacing--50) !important;
    padding-right: var(--wp--preset--spacing--40) !important;
    padding-left: var(--wp--preset--spacing--40) !important;
  }

  .sm-banner .wp-block-image {
    padding-top: var(--wp--preset--spacing--40);
  }

  .sm-banner-lite {
    padding-left: 0 !important;
  }

  .sm-banner-lite .wp-block-image img {
    border-top-right-radius: 0px !important;
    border-bottom-left-radius: 12px !important;
  }
}

/* Section with Image */
@media (max-width: 782px) {
  .sm-section-col-image .wp-block-image:not(.is-style-rounded) img {
    width: 100% !important;
    object-fit: cover;
  }

  .sm-section-col-image .wp-block-image:not(.aligncenter) img {
    margin-left: auto !important;
    margin-right: auto !important;
  }
}

/* Section text */
@media (max-width: 782px) {
  .sm-section-text .wp-block-group > p {
    max-width: unset !important;
  }
}

/* Blog entry */
.sm-blog-entry .wp-block-post-featured-image img {
  height: 260px;
}

.sm-blog-entry figure + main {
  transform: translateY(-4.5rem);
  margin-block-end: -4.5rem !important;
}

.sm-blog-entry main header h2 > a {
  max-height: calc(
    3 * var(--wp--preset--font-size--large) *
      var(--wp--custom--line-height--heading)
  );
  overflow: hidden;
  -webkit-line-clamp: 3;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.sm-blog-entry main .wp-block-post-excerpt__excerpt {
  max-height: calc(
    8 * var(--wp--preset--font-size--small) *
      var(--wp--custom--line-height--body)
  );
  overflow: hidden;
  -webkit-line-clamp: 8;
  display: -webkit-box;
  -webkit-box-orient: vertical;
}

.sm-blog-entry main .wp-block-post-excerpt__more-text {
  margin-bottom: 0;
}

.sm-blog-entry main .wp-block-post-terms {
  position: relative;
}

.sm-blog-entry main .wp-block-post-terms::before {
  content: "•";
  position: absolute;
  left: -0.65em;
  top: 0px;
  height: 1em;
  width: 1em;
}

/* Garland background */
/* NOTE: .sm-blog-feed for retro compatibility */
.sm-blog-feed,
.sm-garland-background {
  background-image: url("../../assets/images/blog-feed-ornamental.png");
  background-size: auto;
  background-position-x: 100%;
  background-position-y: 0;
  background-repeat: no-repeat;
}

@media (max-width: 782px) {
  .sm-blog-feed,
  .sm-garland-background {
    background-size: 25%;
  }
}

/* Testimonials */
.sm-testimonials .wpct-block-slider-slide {
  cursor: pointer;
}

@media (max-width: 782px) {
  .sm-testimonials .wpct-block-slider-slide > .wp-block-group {
    flex-direction: column;
    text-align: center;
  }

  .sm-testimonials .wpct-block-slider-slide > .wp-block-group figure {
    margin-bottom: 2rem;
  }

  .sm-testimonials .wpct-block-slider-slide > .wp-block-group figure img {
    margin: auto;
  }
}

/* Staff */
@media (max-width: 782px) {
  .sm-staff .wp-block-group > p {
    max-width: 100%;
  }

  .sm-staff figure.wp-block-image.aligncenter {
    margin-bottom: var(--wp--preset--spacing--20);
    margin-left: 0 !important;
  }

  .sm-staff figure.wp-block-image.aligncenter img {
    width: 220px;
  }
}

/* Form */
@media (min-width: 782px) {
  .sm-form .gform-theme.gform-theme--framework.gform_wrapper {
    max-width: calc(var(--wp--style--global--content-size) * 0.8);
  }
}

@media (max-width: 640px) {
  .sm-form > .wp-block-group.has-base-background-color.has-background {
    padding-top: var(--wp--preset--spacing--20) !important;
    padding-bottom: var(--wp--preset--spacing--20) !important;
    padding-left: var(--wp--preset--spacing--40) !important;
    padding-right: var(--wp--preset--spacing--40) !important;
  }
}

/* Title + subtitle */
.sm-title-subtitle .wp-block-post-excerpt .wp-block-post-excerpt__excerpt {
  margin-bottom: 0px;
}
